Bug 152790 - Missing comment in /usr/include/linux/timex.n (glibc-kernheaders)
Missing comment in /usr/include/linux/timex.n (glibc-kernheaders)
Status: CLOSED WONTFIX
Product: Fedora Legacy
Classification: Retired
Component: General (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Fedora Legacy Bugs
1, LEGACY, QA
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-29 08:14 EDT by David Lawrence
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Lawrence 2005-03-30 18:27:33 EST
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

A missing start to a C source comment i.e. /*, causes compile errors
in any packages or source which includes '/usr/include/linux/timex.h'
- - The memory debugging tool Valgrind being a good example.

The patched srpm can be downloaded from:

http://www.wyett.net/files/fedora_core/srpms/glibc-kernheaders-2.4-8.37.legacy.src.rpm
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.3 (GNU/Linux)

iD8DBQFBWvvhAcgL7aodIV4RAmQdAJ9SUz+IZog69FUYyiKEHAGsx5bM6wCdET8r
rXNMfBWXozFQear5DSuHXqk=
=6TE8
-----END PGP SIGNATURE-----



------- Additional Comments From philip@wyett.net 2004-09-29 08:20:18 ----

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

This bug can also be found at Red Hat bugzilla.

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=109517
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.3 (GNU/Linux)

iD8DBQFBWv1xAcgL7aodIV4RAqiQAJ0VH1QIkMSXfPOvyBYbZ6iaxg9oWwCeO2lh
+MYptnNS2hTQxQFYOqRgo5I=
=DnGA
-----END PGP SIGNATURE-----



------- Additional Comments From rob.myers@gtri.gatech.edu 2004-10-07 05:41:09 ----

philip-

i had an issue when trying to find your srpm (see below).  please post direct
links and please post sha1sums of your rpms in the future.

$ wget
http://www.wyett.net/files/fedora_core/srpms/glibc-kernheaders-2.4-8.37.legacy.src.rpm
--11:35:08-- 
http://www.wyett.net/files/fedora_core/srpms/glibc-kernheaders-2.4-8.37.legacy.src.rpm
           => `glibc-kernheaders-2.4-8.37.legacy.src.rpm'
Resolving www.wyett.net... done.
Connecting to www.wyett.net[81.21.68.106]:80... connected.
HTTP request sent, awaiting response... 404 Not Found
11:35:09 ERROR 404: Not Found.





------- Additional Comments From rob.myers@gtri.gatech.edu 2004-10-07 05:51:01 ----

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1
 
i did QA on philip's glibc-kernheaders for FC1 from
http://www.philipwyett.dsl.pipex.com/files/fedora_core/srpms/glibc-kernheaders-2.4-8.37.legacy.src.rpm
with sha1sum f7fc23341c177d151c3d1d58cc49d686a87c373c.
 
Spec okay
Sources okay
Patche okay
Builds okay
Installs okay
 
but does fedora legacy release updates that are not security fixes?
  
+PUBLISH
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.3 (GNU/Linux)
 
iD8DBQFBZWWwtU2XAt1OWnsRAoS5AKCoC/zs/YwtQFwEngbbyIO1iFZVQACg1Pj6
cIMumIfyL5f5rsrlYukVPXE=
=aAcJ
-----END PGP SIGNATURE-----




------- Additional Comments From jkeating@j2solutions.net 2004-10-07 06:15:35 ----

This is not a security bug.  It is easy to work around.  If for some reason we
have to issue glibc-kernheaders for a security update, we will include this
patch.  Until such time it is a WONTFIX.



------- Bug moved to this database by dkl@redhat.com 2005-03-30 18:27 -------

This bug previously known as bug 2099 at https://bugzilla.fedora.us/
https://bugzilla.fedora.us/show_bug.cgi?id=2099
Originally filed under the Fedora Legacy product and General component.

Unknown priority P2. Setting to default priority "normal".
Unknown platform PC. Setting to default platform "All".
The original reporter of this bug does not have
   an account here. Reassigning to the person who moved
   it here, dkl@redhat.com.
   Previous reporter was philip@wyett.net.
Setting qa contact to the default for this product.
   This bug either had no qa contact or an invalid one.


Note You need to log in before you can comment on or make changes to this bug.